package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;

@Entity
@Table(name="r_delivery_group_member")
public class DeliveryGroupMember extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "delivery_group_id")
	public Integer deliveryGroupId;

	@Id
	@Column(name = "member_id")
	public Integer memberId;

	@Column(name = "del_flg")
	public Integer delFlg;

    /** MDeliveryGroup関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "delivery_group_id", referencedColumnName = "delivery_group_id")
    public DeliveryGroup deliveryGroup;

    /** MMember関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
    public Member member;

    @OneToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
    public MemberWithdraw memberWithdraw;
}
