package jp.agentec.sinaburocast.form.admin.enquete;

import java.util.ArrayList;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

import jp.agentec.sinaburocast.entity.Enquete;
import jp.agentec.sinaburocast.form.admin.setting.PagingForm;


/**
 * アンケート検索Form
 *
 * @author choi-c
 *
 */
@Component(instance=InstanceType.SESSION)
public class EnqueteSearchForm extends PagingForm{

	/**	アンケート名 */
	public String enqueteName;

	/**	 実施期間From*/
	public String operationTermFrom;

	/**	 実施期間To*/
	public String operationTermTo;

	public ArrayList<Enquete> searchResultList;

	/**  アンケートID*/
	public String eid;

	public String serverUrl;

	public String tabName;

	public String clipboard;

	public void resetIndex(){
		enqueteName=null;
		operationTermFrom=null;
		operationTermTo=null;
		searchResultList=null;
		
		tabName = null;
		pageNo=1;
	}
	
	
	public String searchPath;




//	public void reset(){
//		searchResultList = null;
//	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}
}
