package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.OperationHistory;
import jp.agentec.sinaburocast.form.admin.setting.OperationHistoryForm;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class OperationHistoryServiceTest  extends S2DaoTestCase {

	@Resource
	private OperationHistoryService operationHistoryServiceTest;

	public OperationHistoryServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("OperationHistoryServiceTest");
		suite.addTest(new OperationHistoryServiceTest("findById"));
		suite.addTest(new OperationHistoryServiceTest("insertOperationHistoryTx"));
		suite.addTest(new OperationHistoryServiceTest("findAllOrderById"));
		suite.addTest(new OperationHistoryServiceTest("searchOperationHistory"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void findById() {
		System.out.println(operationHistoryServiceTest.findById((long) 100));
	}

	public void insertOperationHistoryTx() {
		OperationHistory operationHistory = operationHistoryServiceTest.findById((long) 100);
		System.out.println(operationHistoryServiceTest.insertOperationHistory(operationHistory,"test"));
	}
	public void findAllOrderById() {
		OperationHistory operationHistory = operationHistoryServiceTest.findById((long) 100);
		System.out.println(operationHistoryServiceTest.findAllOrderById());
	}
	public void searchOperationHistory() {
		OperationHistoryForm operationHistoryForm = new OperationHistoryForm();
		System.out.println(operationHistoryServiceTest.searchOperationHistory(operationHistoryForm));
	}
}
